﻿using HeuristicLab.Common;
using HeuristicLab.Core;
using System.Drawing;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HeuristicLab.DataPreprocessing
{
  [Item("LineChart", "Represents the line chart grid.")]
  public class LineChartContent : Item
  {

    private readonly ILineChartLogic lineChartLogic;
    public LineChartContent(ILineChartLogic theLineChartLogic)
    {
      lineChartLogic = theLineChartLogic;
    }

    public LineChartContent(LineChartContent content, Cloner cloner)
      : base(content, cloner)
    {

    }

    public ILineChartLogic LineChartLogic
    {
      get
      {
        return lineChartLogic;
      }
    }

    public static new Image StaticItemImage
    {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.PieChart; }
    }

    public override IDeepCloneable Clone(Cloner cloner)
    {
      return new LineChartContent(this, cloner);
    }
  }
}
