﻿using System.Drawing;
using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.DataPreprocessing {
  [Item("Statistics", "Represents the statistics grid.")]
  public class StatisticsContent : Item {

    private readonly IStatisticsLogic statisticsLogic;
    public StatisticsContent(IStatisticsLogic theStatisticsLogic) {
      statisticsLogic = theStatisticsLogic;
    }

    public StatisticsContent(StatisticsContent content, Cloner cloner)
      : base(content, cloner) {

    }

    public IStatisticsLogic StatisticsLogic {
      get { return statisticsLogic; }
    }

    public static new Image StaticItemImage {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.Statistics; }
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new StatisticsContent(this, cloner);
    }
  }
}
