﻿using System;
using System.Collections.Generic;
namespace HeuristicLab.DataPreprocessing {
  public interface IManipulationLogic {
    void reOrderToIndices(IEnumerable<int> indices);
    void reOrderToIndices(IList<Tuple<int, int>> indices);
    void ReplaceIndicesByAverageValue(int columnIndex, IEnumerable<int> rowIndices);
    void ReplaceIndicesByLinearInterpolationOfNeighbours(int columnIndex, IEnumerable<int> rowIndices);
    void ReplaceIndicesByMedianValue(int columnIndex, IEnumerable<int> rowIndices);
    void ReplaceIndicesByMostCommonValue(int columnIndex, IEnumerable<int> rowIndices);
    void ReplaceIndicesByRandomValue(int columnIndex, IEnumerable<int> rowIndices);
    void ReplaceIndicesByValue<T>(int columnIndex, IEnumerable<int> rowIndices, T value);
    void ShuffleWithRanges(IEnumerable<HeuristicLab.Data.IntRange> ranges);
  }
}
